aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/internal_ci/linux
diff options
context:
space:
mode:
authorGravatar Matt Kwong <mattkwong@google.com>2017-09-28 11:09:25 -0700
committerGravatar Matt Kwong <mattkwong@google.com>2017-09-28 11:09:25 -0700
commit292c1ef3dc98ef9f3eeacef81dca853735119352 (patch)
tree305f546f883c9e34683e7c84b6e680d4f77bba3c /tools/internal_ci/linux
parent951f6fb4bf666277bc90f53c1e2bd4b00b8907b4 (diff)
Start port_server before running daily performance profile
Diffstat (limited to 'tools/internal_ci/linux')
-rwxr-xr-xtools/internal_ci/linux/grpc_performance_profile_daily.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/tools/internal_ci/linux/grpc_performance_profile_daily.sh b/tools/internal_ci/linux/grpc_performance_profile_daily.sh
index 25523e21b8..34d41bc04c 100755
--- a/tools/internal_ci/linux/grpc_performance_profile_daily.sh
+++ b/tools/internal_ci/linux/grpc_performance_profile_daily.sh
@@ -22,6 +22,8 @@ source tools/internal_ci/helper_scripts/prepare_build_linux_perf_rc
CPUS=`python -c 'import multiprocessing; print multiprocessing.cpu_count()'`
+./tools/run_tests/start_port_server.py || true
+
make CONFIG=opt memory_profile_test memory_profile_client memory_profile_server -j $CPUS
bins/opt/memory_profile_test
bq load microbenchmarks.memory memory_usage.csv